App\Library\Amazon\Classes\ComputerCoolingDevice:
    xml_root_name: ComputerCoolingDevice
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        coolingType:
            expose: true
            access_type: public_method
            serialized_name: CoolingType
            accessor:
                getter: getCoolingType
                setter: setCoolingType
            type: App\Library\Amazon\Classes\CoolingType
        cPUSocketCompatability:
            expose: true
            access_type: public_method
            serialized_name: CPUSocketCompatability
            accessor:
                getter: getCPUSocketCompatability
                setter: setCPUSocketCompatability
            xml_list:
                inline: true
                entry_name: CPUSocketCompatability
            type: array<App\Library\Amazon\Classes\CPUSocketCompatability>
        fanIncluded:
            expose: true
            access_type: public_method
            serialized_name: FanIncluded
            accessor:
                getter: getFanIncluded
                setter: setFanIncluded
            type: App\Library\Amazon\Classes\FanIncluded
        fanLED:
            expose: true
            access_type: public_method
            serialized_name: FanLED
            accessor:
                getter: getFanLED
                setter: setFanLED
            type: App\Library\Amazon\Classes\FanLED
        fanMaximumAirflow:
            expose: true
            access_type: public_method
            serialized_name: FanMaximumAirflow
            accessor:
                getter: getFanMaximumAirflow
                setter: setFanMaximumAirflow
            type: App\Library\Amazon\Classes\FanMaximumAirflow
        fanMaximumNoiseLevel:
            expose: true
            access_type: public_method
            serialized_name: FanMaximumNoiseLevel
            accessor:
                getter: getFanMaximumNoiseLevel
                setter: setFanMaximumNoiseLevel
            type: App\Library\Amazon\Classes\FanMaximumNoiseLevel
        fanMaximumSpeed:
            expose: true
            access_type: public_method
            serialized_name: FanMaximumSpeed
            accessor:
                getter: getFanMaximumSpeed
                setter: setFanMaximumSpeed
            type: App\Library\Amazon\Classes\FanMaximumSpeed
        fanPowerConnector:
            expose: true
            access_type: public_method
            serialized_name: FanPowerConnector
            accessor:
                getter: getFanPowerConnector
                setter: setFanPowerConnector
            type: App\Library\Amazon\Classes\FanPowerConnector
        heatsinkMaterial:
            expose: true
            access_type: public_method
            serialized_name: HeatsinkMaterial
            accessor:
                getter: getHeatsinkMaterial
                setter: setHeatsinkMaterial
            type: App\Library\Amazon\Classes\HeatsinkMaterial
        largestFanSize:
            expose: true
            access_type: public_method
            serialized_name: LargestFanSize
            accessor:
                getter: getLargestFanSize
                setter: setLargestFanSize
            type: App\Library\Amazon\Classes\LargestFanSize
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
